Cambrionix connect
Developers
Cloud API reference · v1.0

Communications API

The communication service facilitates the Connect platform's communication-based features.

Base URL

https://connect.cambrionix.com/api

Token audience

b2d57903-6cc0-4099-aeaa-926d441a4129

OpenAPI document

https://connect.cambrionix.com/api/communications/v1/openapi.json

Get an access token

Request a token for this API's audience with your service account's client credentials, then send it as Authorization: Bearer <token>.

curl -X POST "https://connect.cambrionix.com/api/v1/organizations/$CONNECT_ORGANIZATION_ID/oauth2/token" \
  -H "Content-Type: application/json" \
  -d '{"grant_type": "client_credentials", "client_id": "'"$CONNECT_CLIENT_ID"'", "client_secret": "'"$CONNECT_CLIENT_SECRET"'", "audience": "b2d57903-6cc0-4099-aeaa-926d441a4129", "scope": "*"}'

Endpoints

Settings

View and manage communications settings for your organization.

GET

Get Organization User Communications Settings

GET

Get Organization Communications Settings

PATCH

Update Organization Communications Settings